# ApplicationFramework
PTKernel
PTColStd

# PTColStd_MapPersistentHasher Class Reference

`#include <PTColStd_MapPersistentHasher.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Integer | HashCode (const Handle(Standard_Persistent)&K, const Standard_Integer Upper)
static Standard_EXPORT Standard_Boolean | IsEqual (const Handle(Standard_Persistent)&K1, const Handle(Standard_Persistent)&K2)

## Member Function Documentation

static Standard_EXPORT Standard_Integer PTColStd_MapPersistentHasher::HashCode | ( | const Handle(Standard_Persistent)& | K,
|  | const Standard_Integer | Upper
| ) | `[static]`

static Standard_EXPORT Standard_Boolean PTColStd_MapPersistentHasher::IsEqual | ( | const Handle(Standard_Persistent)& | K1,
|  | const Handle(Standard_Persistent)& | K2
| ) | `[static]`

void PTColStd_MapPersistentHasher::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PTColStd_MapPersistentHasher::operator new | ( | size_t | size | ) | `[inline]`

void* PTColStd_MapPersistentHasher::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- PTColStd_MapPersistentHasher.hxx